package gmodel

import (
	"gorm.io/gorm"
)

// fs_product_model3d 产品模型表
type FsProductModel3d struct {
	Id             int64   `gorm:"primary_key;default:0;" json:"id"`   //
	ProductId      *uint64 `gorm:"index;default:0;" json:"product_id"` //
	Tag            *int64  `gorm:"default:1;" json:"tag"`              // 类别（1：模型，2：配件，3：场景）
	Title          *string `gorm:"default:'';" json:"title"`           // 标题
	Name           *string `gorm:"default:'';" json:"name"`            // 详情页展示名称
	ModelInfo      *string `gorm:"default:'';" json:"model_info"`      // 模型详情
	MaterialId     *uint64 `gorm:"default:0;" json:"material_id"`      // 材质ID
	SizeId         *uint64 `gorm:"default:0;" json:"size_id"`          // 尺寸ID
	Sort           *uint64 `gorm:"default:0;" json:"sort"`             // 排序
	Light          *int64  `gorm:"default:0;" json:"light"`            //
	LightList      *string `gorm:"default:'';" json:"light_list"`      //
	PartId         *int64  `gorm:"default:0;" json:"part_id"`          //
	PartList       *string `gorm:"default:'';" json:"part_list"`       //
	Status         *uint64 `gorm:"default:0;" json:"status"`           // 状态位 显示 删除
	Ctime          *uint64 `gorm:"default:0;" json:"ctime"`            // 添加时间
	OptionTemplate *int64  `gorm:"default:0;" json:"option_template"`  //
	Price          *int64  `gorm:"default:0;" json:"price"`            // 仅配件用，配件的价格, 单位：美分
	Sku            *string `gorm:"default:'';" json:"sku"`             // sku
}
type FsProductModel3dModel struct{ db *gorm.DB }

func NewFsProductModel3dModel(db *gorm.DB) *FsProductModel3dModel { return &FsProductModel3dModel{db} }
